#!/usr/bin/python3
#!/usr/bin/python3 

import os,sys,math
from build.amsbuildlib4 import *

if(len(sys.argv)>=2):
    if(sys.argv[1]=="clean"):
        obj_list = flist('./build_msvc64',recurse=True,exts=['.o'])
        for o in obj_list:
            os.remove('{}'.format(o))
    exit()

os.system('python3 ./build/make.msvc64.lib.py')
os.system('python3 ./build/make.msvc64.test.py')

obj_list = flist('./src',recurse=True,exts=['.o','.obj'])
for o in obj_list:
    os.remove('{}'.format(o))

os.chdir('./build_msvc64')
callproc('tests.exe')
os.chdir('..')